summaryrefslogtreecommitdiff
path: root/source4/script/yacc_compile.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source4/script/yacc_compile.sh')
-rwxr-xr-xsource4/script/yacc_compile.sh18
1 files changed, 15 insertions, 3 deletions
diff --git a/source4/script/yacc_compile.sh b/source4/script/yacc_compile.sh
index 87d9807fc6..c82ef6d686 100755
--- a/source4/script/yacc_compile.sh
+++ b/source4/script/yacc_compile.sh
@@ -8,18 +8,30 @@ dir=`dirname $SRC`
file=`basename $SRC`
base=`basename $SRC .y`
if [ -z "$YACC" ]; then
- echo "yacc not found"
- exit;
+ # if $DEST is more recent than $SRC, we can just touch
+ # otherwise we touch but print out warnings
+ if [ -r $DEST ]; then
+ if [ x`find $SRC -newer $DEST -print` = x$SRC ]; then
+ echo "warning: yacc not found - cannot generate $SRC => $DEST" >&2
+ echo "warning: yacc not found - only updating the timestamp of $DEST" >&2
+ fi
+ touch $DEST;
+ exit;
+ fi
+ echo "error: yacc not found - cannot generate $SRC => $DEST" >&2
+ exit 1;
fi
+# if $DEST is more recent than $SRC, we can just touch
if [ -r $DEST ]; then
if [ x`find $SRC -newer $DEST -print` != x$SRC ]; then
+ touch $DEST;
exit;
fi
fi
TOP=`pwd`
if cd $dir && $YACC -d $file; then
if [ -r y.tab.h -a -r y.tab.c ];then
- echo "move files"
+ #echo "info: move files"
sed -e "/^#/!b" -e "/^#/ s|y\.tab\.h|$SRC|" -e "/^#/ s|\"$base.y|\"$SRC|" y.tab.h > $base.h
sed -e "/^#/ s|y\.tab\.c|$SRC|" -e "/^#/ s|\"$base.y|\"$SRC|" y.tab.c > $base.c
rm -f y.tab.c y.tab.h